Summary: Utilities for configuring the linux ethernet bridge.
Name: bridge-utils
Version: 1.0.4
Release: 1m
License: GPL
Group: System Environment/Base
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/bridge/%{name}-%{version}.tar.gz 2cab42847c4654e58c4d0ba114bfe2c2
Patch0: bridge-utils-1.0.4-inc.patch
Patch1: bridge-utils-1.0.4-kernheaders.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: sysfsutils-devel

%description
This package contains utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

Install bridge-utils if you want to use the linux ethernet bridge.

%package devel
Summary: Utilities for configuring the linux ethernet bridge.
Group: Development/Libraries

%description devel
The bridge-utils-devel package contains the header and object files
necessary for developing programs which use 'libbridge.a', the
interface to the linux kernel ethernet bridge. If you are developing
programs which need to configure the linux ethernet bridge, your
system needs to have these standard header and object files available
in order to create the executables.

Install bridge-utils-devel if you are going to develop programs which
will use the linux ethernet bridge interface library.

%prep
%setup -q

%patch0 -p1
%patch1 -p1

%build
%configure --with-linux-headers=`pwd`
make

%install
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr (644,root,root,755)
%doc AUTHORS COPYING doc/FAQ doc/HOWTO doc/RPM-GPG-KEY
%defattr (-,root,root)
%{_sbindir}/brctl
%{_mandir}/man8/brctl.8.*

%files -n bridge-utils-devel
%defattr (-,root,root)
%{_includedir}/libbridge.h
%{_libdir}/libbridge.a

%changelog
* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (1.0.4-1)
- ver up. sync with FC3(1.0.4-4).

* Fri Feb 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.6-3m)
- revised docdir permission

* Sun May 30 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9.6-2m)
- change URI

* Fri Feb 14 2003 Shingo AKagaki <dora@kitty.dnsalias.org>
- (0.9.6-1m)
- version 0.9.6

* Mon May 13 2002 Shingo Akagaki <dora@kondara.org>
- (0.9.5-4k)
- add /etc/init.d/bridge script

* Fri Jan 25 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (0.9.5-2k)
- Kondarization

* Wed Nov 07 2001 Matthew Galgoci <mgalgoci@redhat.com>
- initial cleanup of spec file from net release
